import Vue from 'vue';
import Router from 'vue-router';
import tab from 'components/tab';
import Login from  '@/pages/login/Login';
import Layout from  '@/pages/layout/Layout';
Vue.use(Router)

const router = new Router({
  // mode: 'history',
  // base: process.env.BASE_URL,
  routes: [
    {
      path: '/login',
      name:'login',
      component: Login,
    },
    {
      path: '/',
      name:'layout',
      component: Layout,
      redirect: '/login',
      hidden: true
    },
    {
      path: '/order',
      component: Layout,
      children: [{
        path: 'index',
        name:'Order',
        meta: { title: '渠道课程管理', url: '/order/index' },
        component: () => import('@/pages/order/Order'),
      }]
    },
    {
      path: '/skill',
      component: Layout,
      children: [{
        path: 'index',
        name:'Skill',
        meta: { title: '技能相关', url: '/skill/index' },
        component: () => import('@/pages/skill/Skill'),
      }]
    },
    // {
    //   path: '/course',
    //   component: Layout,
    //   children: [{
    //     path: 'index',
    //     name:'Course',
    //     meta: { title: '课程管理', url: '/course/index' },
    //     component: () => import('@/pages/course/Course'),
    //   }]
    // },
    // {
    //   path: '/relation',
    //   component: Layout,
    //   children: [{
    //     path: 'index',
    //     name:'Relation',
    //     meta: { title: '渠道课程管理', url: '/relation/index' },
    //     component: () => import('@/pages/relation/Relation'),
    //   }]
    // },
    
    // {
    //   path: '/operation',
    //   component: Layout,
    //   children: [{
    //     path: 'index',
    //     name:'Operation',
    //     meta: { title: '渠道课程管理', url: '/operation/index' },
    //     component: () => import('@/pages/operation/Operation'),
    //   }]
    // }
  ]
})

export default router
